Generate bulk invoices
curl --request POST \
--url https://api.anhome.tuanle.dev/api/v1/invoices/generate-bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>"
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/invoices/generate-bulk"
payload = {
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', period: '<string>'})
};
fetch('https://api.anhome.tuanle.dev/api/v1/invoices/generate-bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>",
"generated_count": 1,
"invoices": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"renter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lease_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period": "<string>",
"invoice_number": "<string>",
"display": {
"status": {
"value": "PARTIALLY_PAID",
"label": "Thanh toán một phần"
}
},
"effective_display": {
"status": {
"value": "PARTIALLY_PAID",
"label": "Thanh toán một phần"
}
},
"due_date": "2023-12-25",
"total_amount": "1500000",
"paid_amount": "0",
"payment_reference": "<string>",
"payment_code": "<string>",
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"quantity": "1",
"unit_price": "1500000",
"amount": "1500000",
"metadata": "<unknown>",
"display": {
"line_type": {
"value": "PARTIALLY_PAID",
"label": "Thanh toán một phần"
}
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"issue_date": "2023-12-25",
"cancel_reason": "<string>"
}
],
"skipped_count": 1,
"skipped": [
{
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"existing_invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Billing
Generate bulk invoices
Generates invoices for all eligible rooms in a property for one billing period and reports per-room outcomes.
POST
https://api.anhome.tuanle.dev
/
api
/
v1
/
invoices
/
generate-bulk
Generate bulk invoices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Invoice lifecycle or line-item fields used to update invoice totals and status.
Response
Generated invoices for property
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.
⌘I